> ## Documentation Index
> Fetch the complete documentation index at: https://docs.erdo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Removes the declaration for one provider and ad account. Leads already


> written stay where they are.




## OpenAPI

````yaml /api/openapi.json delete /v1/provider-lead-sources
openapi: 3.0.0
info:
  title: Erdo API
  description: >-
    Erdo's REST API: query and write datasets, run agents, manage threads,
    integrations, pages, evals, workstreams, experiments, and bounded outreach.
    Authenticate with a Bearer API key (erdo_api_...) or scoped token
    (erdo_token_...).
  version: '2026-10-23'
servers:
  - url: https://api.erdo.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/provider-lead-sources:
    delete:
      summary: |
        Removes the declaration for one provider and ad account. Leads already
      description: |
        written stay where they are.
      operationId: DELETE:mcp.DeleteProviderLeadSourceAPI
      parameters:
        - allowEmptyValue: true
          description: |
            provider is the ad platform the declaration names.
          explode: true
          in: query
          name: provider
          required: false
          schema:
            type: string
          style: form
        - allowEmptyValue: true
          description: |
            account\_id is the ad account the declaration names.
          explode: true
          in: query
          name: account_id
          required: false
          schema:
            type: string
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  account_id:
                    type: string
                  deleted:
                    type: boolean
                  provider:
                    type: string
                type: object
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.